<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\Model\Source;

class Logic extends \Amasty\GeoipRedirect\Model\Source\Logic
{

    const SPECIFIED_PATH = 100;

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => self::ALL_URLS, 'label' => __('All URLs')),
            array('value' => self::SPECIFIED_URLS, 'label' => __('Specified URLs')),
            array('value' => self::EXCEPT_URLS, 'label' => __('All Except Specified URLs')),
            array('value' => self::HOMEPAGE_ONLY, 'label' => __('Redirect From Home Page Only')),
            array('value' => self::SPECIFIED_PATH, 'label' => __('Specified Path'))
        );
    }

}
